Package com.enonic.xp.site

## Class CreateSiteParams

- java.lang.Object
- - com.enonic.xp.site.CreateSiteParams

-     @PublicApi
      public final class CreateSiteParams
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CreateSiteParams()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CreateSiteParams` | `description​(String value)` |
    `CreateSiteParams` | `displayName​(String displayName)` |
    `String` | `getDescription()` |
    `String` | `getDisplayName()` |
    `ContentName` | `getName()` |
    `ContentPath` | `getParentContentPath()` |
    `SiteConfigs` | `getSiteConfigs()` |
    `boolean` | `isRequireValid()` |
    `CreateSiteParams` | `name​(ContentName name)` |
    `CreateSiteParams` | `name​(String name)` |
    `CreateSiteParams` | `parent​(ContentPath parentContentPath)` |
    `CreateSiteParams` | `requireValid()` |
    `CreateSiteParams` | `siteConfigs​(SiteConfigs value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CreateSiteParams

          public CreateSiteParams()

  - ### Method Detail

    - #### parent

          public CreateSiteParams parent​(ContentPath parentContentPath)

    - #### name

          public CreateSiteParams name​(String name)

    - #### name

          public CreateSiteParams name​(ContentName name)

    - #### displayName

          public CreateSiteParams displayName​(String displayName)

    - #### description

          public CreateSiteParams description​(String value)

    - #### siteConfigs

          public CreateSiteParams siteConfigs​(SiteConfigs value)

    - #### requireValid

          public CreateSiteParams requireValid()

    - #### getParentContentPath

          public ContentPath getParentContentPath()

    - #### getName

          public ContentName getName()

    - #### getDisplayName

          public String getDisplayName()

    - #### getDescription

          public String getDescription()

    - #### getSiteConfigs

          public SiteConfigs getSiteConfigs()

    - #### isRequireValid

          public boolean isRequireValid()